<mat-card>
  <mat-grid-list cols="2">
    <mat-grid-tile>
      <div class="izquierda">

        <img >
      </div>
      <div>
        <img *ngIf="fotoSeleccionada" [src]="resolverFoto(fotoSeleccionada)" alt="">
      </div>
      <br>
    </mat-grid-tile>
    <mat-grid-tile class="detalles">
      <h1 class="mat-display-2">{{producto.name}}</h1>
      <p>{{producto.description}}</p>
      <strong>Precio</strong>
      <h1 class="mat-display-2">{{producto.price | currency}}</h1>
      <mat-chip-list *ngIf="yaExiste">
        <mat-chip color="warn" selected>
          <mat-icon>check</mat-icon>
          En el carrito de compras
        </mat-chip>
      </mat-chip-list>
      <button *ngIf="!yaExiste" (click)="agregarAlCarrito()" class="carrito" mat-raised-button color="accent">

        <mat-icon>add</mat-icon>
        Agregar al carrito
      </button>
      <button *ngIf="yaExiste" (click)="quitarDelCarrito()" class="carrito" mat-raised-button color="accent">
        <mat-icon>delete</mat-icon>
        Quitar del carrito
      </button>
      <a routerLink="/tienda" class="comprar" mat-raised-button color="primary">
        Seguir comprando
      </a>
    </mat-grid-tile>
  </mat-grid-list>
</mat-card>
